## cdd-doc 0.2

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for debiandoc-sgml-doc
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_lang	:= en
doc_name	:= debian-cdd
doc_sgml	:= $(doc_name).$(doc_lang).sgml
doc_pdf		:= $(doc_name).$(doc_lang).pdf
doc_ps		:= $(doc_name).$(doc_lang).ps
doc_dvi		:= $(doc_name).$(doc_lang).dvi
doc_txt		:= $(doc_name).$(doc_lang).txt
doc_info	:= $(doc_name).$(doc_lang).info
doc_html	:= $(doc_name).html
pkg             := cdd-doc

## ----------------------------------------------------------------------
## Package definitions
pkg_lang	:= en

## ----------------------------------------------------------------------
## General definitions
LN		:= /bin/ln -sf
RMR		:= /bin/rm -fr
LOCALE          := unset LC_ALL;  

## ----------------------------------------------------------------------
# this can and will be overriden by a higher level makefile
PUBLISHDIR := tille@people.debian.org:public_html/debian-med/talks/paper-cdd

# There is no difference between letter and a4, but a2 for instance works
PAPERSIZE  := letter

## ----------------------------------------------------------------------
## Targets
all:		html

validate: 	$(doc_sgml)
	# nsgmls -ges -wall $(doc_sgml)
		nsgmls -wall -E20 -gues $^

html $(doc_html): $(doc_sgml)
		$(LOCALE) debiandoc2html -l $(doc_lang) -b $(doc_name) -c $^
		$(LN) index.$(pkg_lang).html $(doc_html)/index.html

txt $(doc_txt): $(doc_sgml)
		debiandoc2text -l $(doc_lang) $^

ps $(doc_ps): 	$(doc_sgml)
		debiandoc2latexps  -l $(doc_lang) -p$(PAPERSIZE) $^

pdf $(doc_pdf): $(doc_sgml)
		$(LOCALE) debiandoc2latexpdf -l $(doc_lang) -p$(PAPERSIZE) $^
		$(RMR) $(doc_name).$(doc_lang).tpt

dvi $(doc_dvi): $(doc_sgml)
		debiandoc2latexdvi -l $(doc_lang) -p$(PAPERSIZE) $^
		$(RMR) $(doc_name).$(doc_lang).out

info $(doc_info): $(doc_sgml)
		debiandoc2info -l $(doc_lang) $^

publish: 	$(doc_html)/index.html
		rsync --rsh="ssh -i ${HOME}/.ssh/id_dsa-debian" -azult --delete $(doc_html) $(PUBLISHDIR)
		[ -s debian-cdd.en.pdf ] && rsync --rsh="ssh -i ${HOME}/.ssh/id_dsa-debian" -azult $(doc_pdf) $(PUBLISHDIR)

clean:
		$(RMR) $(doc_html) $(doc_pdf) $(doc_txt) $(doc_ps) $(doc_dvi) $(doc_info)
		$(RMR) $(doc_name).$(doc_lang).tpt $(doc_name).$(doc_lang).out
		find . -name "*~" -exec $(RMR) \{\} \;

dist:
	target=$(pkg)-`cat VERSION` ; \
	mkdir -p $${target} ; \
	rsync -azult Makefile *.sgml en debian --exclude=CVS $${target} ; \
	GZIP=-9 tar -czf $(pkg)_`cat VERSION`.tar.gz $${target} ; \
	rm -rf $${target}

distclean:
		make clean
		rm -f $(pkg)_`cat VERSION`.tar.gz

.PHONY: all publish clean distclean validate

=== debian/changelog ===
cdd-doc (0.2) unstable; urgency=low

  * Fixed typo in description
    Closes: #246815
  * Updated descriptions of the tools in cdd package
  * Many additions and enhancements after conference in Valencia

 -- Andreas Tille <tille@debian.org>  Sun, 02 May 2004 18:29:38 +0100
 

cdd-doc (0.1) unstable; urgency=low

  * Initial release.
    Closes: #242364

 -- Andreas Tille <tille@debian.org>  Sun, 21 Mar 2004 18:29:38 +0100

## cdd-doc 0.3

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 dist:
 	target=$(pkg)-`cat VERSION` ; \
 	mkdir -p $${target} ; \
-	rsync -azult Makefile *.sgml en debian --exclude=CVS $${target} ; \
+	rsync -azult Makefile *.sgml en debian --exclude=CVS --exclude=.svn $${target} ; \
 	GZIP=-9 tar -czf $(pkg)_`cat VERSION`.tar.gz $${target} ; \
 	rm -rf $${target}

=== debian/changelog ===
cdd-doc (0.3) unstable; urgency=medium

  * Changed license to GPL according to a hint of Dann
    Frazier <dannf@dannf.org>.  Ben Armstrong who wrote major
    parts of this document agreed to this license change.
    This change is the reason for the medium urgency to get
    the free license into Sarge.
  * Release a similar version number according to the
    cdd package because cdd 0.4 will undergo major changes
    regarding the technique.
  * Several enhancements of contents
  * Fixes for spelling grammar and contents provided by several
    people especially Ben Armstrong.
  * Otavio Salvador
    - Added portugues.tex in flyer makefile.
    - Fix the build system to allow portugues.tex to work.
    (Remark: The flyer is not really part of the cdd-doc package but
     is available in the SVN repository.)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jun 2004 23:38:05 +0200

=== debian/control ===
Source: cdd-doc
Section: doc
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, debhelper (>= 4.0)

Package: cdd-doc
Architecture: all
Suggests: www-browser, postscript-viewer
Replaces: subproject-howto
Provides: subproject-howto
Description: Custom Debian Distribution documentation
 This paper is intended to people who are interested in the philosophy
 of Custom Debian Distributions and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU/Linux distribution and which
 advantages can be gathered by this approach.  The concept of
 meta-packages and user role based menus is explained.  In short: This
 document describes why Custom Debian Distributions are important to
 the vitality and quality of Debian.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules dor cdd-doc
# This file is public domain software, written by Andreas Tille.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := cdd-doc

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) html
	$(MAKE) txt
	$(MAKE) pdf

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installexamples
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
